#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

#define START 0
#define INTEGER 1
#define FRACTION 2
#define SUM_INT 3
#define SUM_REAL 4
#define SIGNED 6

char *read()
{
    char buf[1024];

    fgets(buf, sizeof(buf), stdin);
    if (buf[strlen(buf)-1]=='\n') buf[strlen(buf)-1]='\0';
    return strdup(buf);
}
int main()
{
    char *s, *token;
    int count, status, sumI = 0;
    double sumR = 0.0;
    s = read();

    token = strtok(s, " ");
    for (; token; token = strtok(0, " "))
    {
        for ( status = START, count = 0; count <= 5; count++ )
        {
            if (count > 5)
            {
                count = 6;
                status = START;
                break;
            }
            switch (status)
            {
            case START:
                if (token[count]=='+' || token[count]=='-')
                    status = SIGNED;
                else if (token[count]>='0' && token[count]<='9')
                    status = INTEGER;
                else if (token[count]=='.')
                    status = FRACTION;
                else
                    count = 6;
                break;
            case SIGNED:
                if (token[count]>='0' && token[count]<='9')
                    status = INTEGER;
                else if (token[count]=='.')
                    status = FRACTION;
                else
                    count = 6;
                break;
            case INTEGER:
                if (token[count]=='\0')
                {
                    sumI += atoi(token);
                    count = 6;
                }
                else if (token[count]=='.')
                    status = FRACTION;
                else if (token[count]<'0' || token[count]>'9')
                    count = 6;
                break;
            case FRACTION:
                if (token[count]=='\0')
                {
                    sumR += atof(token);
                    count = 6;
                }
                else if (token[count]<'0' || token[count]>'9')
                    count = 6;
                break;
            }
        }
    }

    printf("%d %f\n", sumI, sumR);

    return 0;
}
